Bug 490975 - incorrect order on removal for directories
incorrect order on removal for directories
Status: CLOSED DUPLICATE of bug 479257
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target 486390
  Show dependency treegraph
 
Reported: 2009-03-18 14:16 EDT by Mamoru TASAKA
Modified: 2009-06-18 13:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 13:17:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
rpm removal result (40.75 KB, text/plain)
2009-03-18 14:16 EDT, Mamoru TASAKA
no flags Details
Test case spec file (4.88 KB, text/plain)
2009-03-24 14:53 EDT, Mattias Ellert
no flags Details

  None (edit)
Description Mamoru TASAKA 2009-03-18 14:16:42 EDT
Created attachment 335747 [details]
rpm removal result

Description of problem:
While reviewing Review request, bug 486390, on i586
"rpm -e simspark simspark-devel" does not delete
/usr/lib/simspark directory.

- Both simspark and simspark own some files under /usr/lib/simspark
- /usr/lib/simspark is owned by simspark and not by simspark-devel
- simspark-devel Requires simspark
- simspark does not Requires simspark-devel

Then "rpm -e simspark simspark-devel" first removes
simspark, then simspark-devel (rpm -evv results attached)


Version-Release number of selected component (if applicable):
rpm-4.7.0-0.beta1.4.fc11.i586
simspark-0.1-3.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1. Rebuild
   http://hedayat.fedorapeople.org/simspark_review/0.1-3/simspark-0.1-3.fc10.src.rpm
   (on bug 486390) with mock (the result is currently under
   http://koji.fedoraproject.org/scratch/mtasaka/task_1248304/ )

2. yum -y --nogpgcheck localinstall simspark-0.1-3.fc11.i586.rpm \
   simspark-devel-0.1-3.fc11.i586.rpm

3. rpm -evv simspark simspark-devel
  
Actual results:
See attached

Expected results:
simspark-devel must be removed first.
Comment 1 Mamoru TASAKA 2009-03-18 14:22:39 EDT
Note that the current Fedora packaging guideline
assumes that this is done by rpm correctly.
Comment 2 Mattias Ellert 2009-03-24 14:53:20 EDT
Created attachment 336523 [details]
Test case spec file

The attached specfile is a testcase for this bug.

The test case is described in detail in this post to the fedora-packaging mailing list:

https://www.redhat.com/archives/fedora-packaging/2009-March/msg00058.html

This bug is really, really bad. Any package that correctly implements the packaging guideline

"A package should not own a directory that is owned by a package on which it depends."

will, due to the way rpm is currently working, violate the packaging guideline

"packages should own all directories needed in order not to leave orphaned directories after a package de-installation."
Comment 3 Bug Zapper 2009-06-09 08:22:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Panu Matilainen 2009-06-18 13:17:19 EDT

*** This bug has been marked as a duplicate of bug 479257 ***

Note You need to log in before you can comment on or make changes to this bug.